Manejadores de notificaciones
GET https://drop.stiac.it/api/notification-handlers/
curl --request GET \
--url 'https://drop.stiac.it/api/notification-handlers/' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://drop.stiac.it/api/notification-handlers/' \
--header 'Authorization: Bearer {api_key}' \
| Parámetros | Detalles | Descripción |
|---|---|---|
| search | Opcional Cadena | La cadena de búsqueda. |
| search_by | Opcional Cadena | Campo por el que estás realizando la búsqueda. Los valores permitidos son: name. |
| is_enabled | Opcional Booleano | |
| type | Opcional Cadena | Campo por el que estás realizando la búsqueda. Los valores permitidos son: email , webhook , slack , discord , telegram , microsoft_teams. |
| order_by | Opcional Cadena | Campo por el que ordenar los resultados. Los valores permitidos son: notification_handler_id , datetime , last_datetime , name. |
| order_type | Opcional Cadena | Orden de los resultados. Los valores permitidos son: ASC para orden ascendente y DESC para orden descendente. |
| page | Opcional Entero | Número de página de la que deseas obtener resultados. El valor predeterminado es 1. |
| results_per_page | Opcional Entero | Cantidad de resultados que deseas por página. Los valores permitidos son: 10 , 25 , 50 , 100 , 250 , 500 , 1000. El valor predeterminado es 25. |
{
"data": [
{
"id": 1,
"type": "email",
"name": "Work email",
"settings": {
"email": "hey@example.com"
},
"is_enabled": true,
"last_datetime": null,
"datetime": "2026-08-09 14:04:54",
}
],
"meta": {
"page": 1,
"results_per_page": 25,
"total": 1,
"total_pages": 1
},
"links": {
"first": "https://drop.stiac.it/api/notification-handlers?page=1",
"last": "https://drop.stiac.it/api/notification-handlers?page=1",
"next": null,
"prev": null,
"self": "https://drop.stiac.it/api/notification-handlers?page=1"
}
}
GET https://drop.stiac.it/api/notification-handlers/{notification_handler_id}
curl --request GET \
--url 'https://drop.stiac.it/api/notification-handlers/{notification_handler_id}' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://drop.stiac.it/api/notification-handlers/{notification_handler_id}' \
--header 'Authorization: Bearer {api_key}' \
{
"data": {
"id": 1,
"type": "email",
"name": "Work email",
"settings": {
"email": "hey@example.com"
},
"is_enabled": true,
"last_datetime": null,
"datetime": "2026-08-09 14:04:54",
}
}
POST https://drop.stiac.it/api/notification-handlers
| Parámetros | Detalles | Descripción |
|---|---|---|
| name | Requerido Cadena | - |
| type | Requerido Cadena | Valores permitidos: email , webhook , slack , discord , telegram , microsoft_teams |
| Opcional Cadena | Available when: type = email Email | |
| webhook | Opcional Cadena | Available when: type = webhook Webhook URL |
| slack | Opcional Cadena | Available when: type = slack Slack webhook URL |
| discord | Opcional Cadena | Available when: type = discord Discord webhook URL |
| telegram | Opcional Cadena | Available when: type = telegram Telegram API Token |
| telegram_chat_id | Opcional Cadena | Available when: type = telegram Telegram Chat ID |
| microsoft_teams | Opcional Cadena | Available when: type = microsoft_teams Microsoft Teams webhook URL |
curl --request POST \
--url 'https://drop.stiac.it/api/notification-handlers' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=Example' \
--form 'type=email' \
--form 'email=hello@example.com' \
--url 'https://drop.stiac.it/api/notification-handlers' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=Example' \
--form 'type=email' \
--form 'email=hello@example.com' \
{
"data": {
"id": 1
}
}
POST https://drop.stiac.it/api/notification-handlers/{notification_handler_id}
| Parámetros | Detalles | Descripción |
|---|---|---|
| name | Opcional Cadena | - |
| type | Opcional Cadena | Valores permitidos: email , webhook , slack , discord , telegram , microsoft_teams |
| Opcional Cadena | Available when: type = email Email | |
| webhook | Opcional Cadena | Available when: type = webhook Webhook URL |
| slack | Opcional Cadena | Available when: type = slack Slack webhook URL |
| discord | Opcional Cadena | Available when: type = discord Discord webhook URL |
| telegram | Opcional Cadena | Available when: type = telegram Telegram API Token |
| telegram_chat_id | Opcional Cadena | Available when: type = telegram Telegram Chat ID |
| microsoft_teams | Opcional Cadena | Available when: type = microsoft_teams Microsoft Teams webhook URL |
| is_enabled | Opcional Booleano | - |
curl --request POST \
--url 'https://drop.stiac.it/api/notification-handlers/{notification_handler_id}' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=Example new name' \
--form 'is_enabled=1' \
--url 'https://drop.stiac.it/api/notification-handlers/{notification_handler_id}' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=Example new name' \
--form 'is_enabled=1' \
{
"data": {
"id": 1
}
}
DELETE https://drop.stiac.it/api/notification-handlers/{notification_handler_id}
curl --request DELETE \
--url 'https://drop.stiac.it/api/notification-handlers/{notification_handler_id}' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://drop.stiac.it/api/notification-handlers/{notification_handler_id}' \
--header 'Authorization: Bearer {api_key}' \